Subject: Re: linux-next: manual merge of the pinctrl tree with the irqchip tree

From: Marc Zyngier <[email-masked]>
Date: Wed, 18 Aug 2021 20:59:22 +0100

On Tue, 17 Aug 2021 21:14:35 +0100,
Linus Walleij <[email-masked]> wrote:
> 
> On Tue, Aug 17, 2021 at 12:04 PM Stephen Rothwell <[email-masked]> wrote:
> 
> > Today's linux-next merge of the pinctrl tree got a conflict in:
> >
> >   drivers/pinctrl/pinctrl-rockchip.c
> >
> > between commit:
> >
> >   a9cb09b7be84 ("pinctrl: Bulk conversion to generic_handle_domain_irq()")
> >
> > from the irqchip tree and commit:
> >
> >   9ce9a02039de ("pinctrl/rockchip: drop the gpio related codes")
> >
> > from the pinctrl tree.
> >
> > I fixed it up (the latter removed the code changed by the former, so I
> > did that) and can carry the fix as necessary.
> 
> I have created an immutable branch for these changes:
> https://git.kernel.org/pub/scm/linux/kernel/git/linusw/linux-pinctrl.git/log/?h=ib-rockchip
> 
> If it helps irqchip they can pull this in (and fix things on top if
> need be).

Cheers Linus, I've pulled this branch in and resolved the conflict
locally.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.